Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2331 - compat-egcs not setting correct libraries
Summary: compat-egcs not setting correct libraries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-22 22:46 UTC by Jaroslaw Sosnicki
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 07:29:59 UTC


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 1999-04-22 22:46:53 UTC
I am trying to reling Oracle 8.0.5EE using
compat-egcs-5.2-1.0.3a.1 and I am getting unresolved symbols
It worked on majority of the executables except fiew.

I think it is related to

Here is the actual command that make
excecuted:--------------[ tcppa.ins 924
]----------------------------------------------
Action:  Linking and installing TNS listener executables
Command: (make -f ins_network.mk
ORACLE_HOME=/u00/oracle/product/8.0.5ee install
), Out=/u00/oracle/product/8.0.5ee/orainst/make.log,
Err=/u00/oracle/product/8.0
.5ee/orainst/make.log
{
chmod 755 /u00/oracle/product/8.0.5ee/bin
/u00/oracle/product/8.0.5ee/bin/echodo cc
-L/u00/oracle/product/8.0.5ee/lib/ -L/
u00/oracle/product/8.0.5ee/rdbms/lib
-L/u00/oracle/product/8.0.5ee/network/lib
  -o tnslsnr
/u00/oracle/product/8.0.5ee/network/lib/s0nsgl.o
/u00/oracle/produc
t/8.0.5ee/network/lib/snsglp.o
/u00/oracle/product/8.0.5ee/network/lib/nsglpnp.o
 \
 /u00/oracle/product/8.0.5ee/rdbms/lib/kpudfo.o
/u00/oracle/product/8.0.5ee/lib/
scorept.o /u00/oracle/product/8.0.5ee/rdbms/lib/ssdbaed.o
/u00/oracle/product/8.
0.5ee/lib/nautab.o /u00/oracle/product/8.0.5ee/lib/naeet.o
/u00/oracle/product/8
.0.5ee/lib/naect.o /u00/oracle/product/8.0.5ee/lib/naedhs.o
`cat /u00/oracle/pro
duct/8.0.5ee/lib/naldflgs` -lnetv2 -lnttcp -lnetwork -lncr
-lnetv2 -lnttcp -lne
twork -lclient -lvsn -lcommon -lgeneric -lmm -lnlsrtl3
-lcore4 -lnlsrtl3 -lcore
4 -lnlsrtl3 -lnetv2 -lnttcp -lnetwork -lncr  -lnetv2 -lnttcp
-lnetwork -lclient
-lvsn -lcommon -lgeneric  -lepc -lnlsrtl3  -lcore4 -lnlsrtl3
-lcore4 -lnlsrtl3 -
lclient -lvsn -lcommon -lgeneric -lnlsrtl3  -lcore4
-lnlsrtl3 -lcore4 -lnlsrtl3
\
 `cat /u00/oracle/product/8.0.5ee/lib/sysliblist` -ldl -lm
-lnetv2 -lnncc -lnet
v2  -lnetwork -lnsgl -lnsglc -lnmd -lnms -lnfp -lnms0
-lncr  -lnetwork  -lepc -
lnetv2 -lnncc -lnsgl -lnsglc -lnmd -lnms -lnfp -lnms0
-lnetwork  -L/usr/lib -ldl
 -lc
cc -L/u00/oracle/product/8.0.5ee/lib/
-L/u00/oracle/product/8.0.5ee/rdbms/lib -L
/u00/oracle/product/8.0.5ee/network/lib -o tnslsnr
/u00/oracle/product/8.0.5ee/n
etwork/lib/s0nsgl.o
/u00/oracle/product/8.0.5ee/network/lib/snsglp.o /u00/oracle
/product/8.0.5ee/network/lib/nsglpnp.o
/u00/oracle/product/8.0.5ee/rdbms/lib/kpu
dfo.o /u00/oracle/product/8.0.5ee/lib/scorept.o
/u00/oracle/product/8.0.5ee/rdbm
s/lib/ssdbaed.o /u00/oracle/product/8.0.5ee/lib/nautab.o
/u00/oracle/product/8.0
.5ee/lib/naeet.o /u00/oracle/product/8.0.5ee/lib/naect.o
/u00/oracle/product/8.0
.5ee/lib/naedhs.o -lnetv2 -lnttcp -lnetwork -lncr -lnetv2
-lnttcp -lnetwork -lcl
ient -lvsn -lcommon -lgeneric -lmm -lnlsrtl3 -lcore4
-lnlsrtl3 -lcore4 -lnlsrtl3
 -lnetv2 -lnttcp -lnetwork -lncr -lnetv2 -lnttcp -lnetwork
-lclient -lvsn -lcomm
on -lgeneric -lepc -lnlsrtl3 -lcore4 -lnlsrtl3 -lcore4
-lnlsrtl3 -lclient -lvsn
-lcommon -lgeneric -lnlsrtl3 -lcore4 -lnlsrtl3 -lcore4
-lnlsrtl3 -lnsl -lm -ldl
-lm -lnetv2 -lnncc -lnetv2 -lnetwork -lnsgl -lnsglc -lnmd
-lnms -lnfp -lnms0 -ln
cr -lnetwork -lepc -lnetv2 -lnncc -lnsgl -lnsglc -lnmd -lnms
-lnfp -lnms0 -lnetw
ork -L/usr/lib -ldl -lc
/lib/libc.so.6: undefined reference to `_r_debug@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_unload_cache@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_init_next@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_signal_error@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_relocate_object@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_initial_searchlist@@GLIBC_2.1'
/usr/lib/libdl.so: undefined reference to
`_dl_global_scope@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_profile@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_global_scope_alloc@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_fpu_control@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_debug_message@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_mcount@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_debug_initialize@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_start_profile@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_check_all_versions@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_catch_error@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_map_object@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_symbol@@GLIBC_2.
0'
/usr/lib/libdl.so: undefined reference to
`_dl_loaded@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_main_searchlist@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_profile_map@@GLIBC_2.1'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol_skip@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol_skip@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_profile_output@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_map_object_deps@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_debug_impcalls@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_symbol_skip@@GLI
BC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_debug_state@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`__libc_enable_secure@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`__libc_stack_end@@GLIBC_2.1'
collect2: ld returned 1 exit status
make: *** [tnslsnr] Error 1
}
Status:  2
(( OIERR-SYSTEM: make -f ins_network.mk
ORACLE_HOME=/u00/oracle/product/8.0.5ee
install ))
--------------[ tcppa.ins 937
]----------------------------------------------

--------------[ snmp.ins 885
]-----------------------------------------------
Action:  Making Oracle Intelligent Agent (target=install)
Command: (make -f ins_oemagent.mk install),
Out,Err=/u00/oracle/product/8.0.5ee/
orainst/make.log
Status:  2
(( OIERR-SYS: make -f ins_oemagent.mk install ))
{
| OIERR-SYS: chmod 755 /u00/oracle/product/8.0.5ee/bin
| OIERR-SYS: Building client shared library libclntsh.so ...
| OIERR-SYS: Call script
/u00/oracle/product/8.0.5ee/bin/genclntsh ...
| OIERR-SYS: /u00/oracle/product/8.0.5ee/bin/genclntsh
| OIERR-SYS: Built
/u00/oracle/product/8.0.5ee/lib/libclntsh.so ... DONE
| OIERR-SYS: cc -L/u00/oracle/product/8.0.5ee/lib/
-L/u00/oracle/product/8.0.5ee
/lib/ -L/u00/oracle/product/8.0.5ee/rdbms/lib
-L/u00/oracle/product/8.0.5ee/net
work/lib   -o dbsnmp
/u00/oracle/product/8.0.5ee/network/lib/s0nmi.o /u00/oracle
/product/8.0.5ee/network/lib/waat0.o -lnmi -lnms -lnmd \
| OIERR-SYS: -lnms0
/u00/oracle/product/8.0.5ee/rdbms/lib/defopt.o /u00/oracl
e/product/8.0.5ee/rdbms/lib/ssdbaed.o \
| OIERR-SYS: /u00/oracle/product/8.0.5ee/lib/nautab.o
/u00/oracle/product/8.0.5e
e/lib/naeet.o /u00/oracle/product/8.0.5ee/lib/naect.o
/u00/oracle/product/8.0.5e
e/lib/naedhs.o `cat
/u00/oracle/product/8.0.5ee/lib/naldflgs` -lnetv2 -lnttcp -l
network -lncr  -lnetv2 -lnttcp -lnetwork -lclient -lvsn
-lcommon -lgeneric -lmm
-lnlsrtl3  -lcore4 -lnlsrtl3 -lcore4 -lnlsrtl3 -lnetv2
-lnttcp -lnetwork -lncr
-lnetv2 -lnttcp -lnetwork -lclient -lvsn -lcommon -lgeneric
-lepc -lnlsrtl3  -l
core4 -lnlsrtl3 -lcore4 -lnlsrtl3 -lclient -lvsn -lcommon
-lgeneric -lnlsrtl3  -
lcore4 -lnlsrtl3 -lcore4 -lnlsrtl3   `cat
/u00/oracle/product/8.0.5ee/lib/syslib
list` -ldl -lm  -ltcl  -lm -ldl -lc -lcrypt
| OIERR-SYS:
/u00/oracle/product/8.0.5ee/lib//libcore4.a(lcd.o): In
function `lc
dprm':
| OIERR-SYS: lcd.o(.text+0xacb): the `gets' function is
dangerous and should not
 be used.
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getgrnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`atexit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`chown@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtod_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`rename@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`fdopen@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_tolower@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`localtime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcmp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`fprintf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getenv@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getservbyname@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strerror@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getpwuid@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getgrgid@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyaddr@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_ntoa@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`mkfifo@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`listen@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`tmpnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strftime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strpbrk@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`stdout@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`stderr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`abort@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__xstat@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`setsockopt@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`time@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strstr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__lxstat@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcspn@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`uname@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtol_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_toupper@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`execvp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strncmp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_addr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__environ@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`bind@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memcpy@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getsockname@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strrchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endpwent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyname@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getpwnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`exit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gmtime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sscanf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`utime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memset@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_b@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`_exit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__xmknod@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtoul_internal@@GLI
BC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endgrent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endgrent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sprintf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__bzero@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcpy@@GLIBC_2.0'
| OIERR-SYS: collect2: ld returned 1 exit status
| OIERR-SYS: make: *** [dbsnmp] Error 1
}
Result:  Retry
--------------[ snmp.ins 924
]-----------------------------------------------
Here is complete list of undefined references as produced by
oracle make:
/lib/libc.so.6: undefined reference to
`__libc_enable_secure@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`__libc_stack_end@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_check_all_versions@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_debug_impcalls@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_debug_initialize@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_debug_message@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_debug_state@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_fpu_control@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_global_scope_alloc@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_init_next@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_initial_searchlist@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_main_searchlist@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_map_object@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_map_object_deps@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_mcount@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_profile@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_profile_map@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_profile_output@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_relocate_object@@GLIBC_2.0'
/lib/libc.so.6: undefined reference to
`_dl_start_profile@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to
`_dl_unload_cache@@GLIBC_2.1'
/lib/libc.so.6: undefined reference to `_r_debug@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_catch_error@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_catch_error@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_global_scope@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_loaded@@GLIBC_2.1'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol_skip@@GLIBC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_symbol@@GLIBC_2.
0'
/usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_symbol_skip@@GLI
BC_2.0'
/usr/lib/libdl.so: undefined reference to
`_dl_signal_error@@GLIBC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`__libc_enable_secure@@GLIBC
_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`__libc_stack_end@@GLIBC_2.1
'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_check_all_versions@@GLI
BC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_debug_impcalls@@GLIBC_2
.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_debug_initialize@@GLIBC
_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_debug_message@@GLIBC_2.
0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_debug_message@@GLIBC_2.
0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_debug_state@@GLIBC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_fpu_control@@GLIBC_2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_global_scope_alloc@@GLI
BC_2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_init_next@@GLIBC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_initial_searchlist@@GLI
BC_2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_main_searchlist@@GLIBC_
2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_map_object@@GLIBC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_map_object_deps@@GLIBC_
2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_mcount@@GLIBC_2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_profile@@GLIBC_2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_profile_map@@GLIBC_2.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_profile_output@@GLIBC_2
.1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_relocate_object@@GLIBC_
2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_relocate_object@@GLIBC_
2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_start_profile@@GLIBC_2.
1'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_dl_unload_cache@@GLIBC_2.1
'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_r_debug@@GLIBC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_r_debug@@GLIBC_2.0'
| OIERR-SYS: /lib/libc.so.6: undefined reference to
`_r_debug@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_catch_error@@GLIBC_2
.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_catch_error@@GLIBC_2
.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_catch_error@@GLIBC_2
.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_global_scope@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_global_scope@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_global_scope@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_global_scope@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_loaded@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_loaded@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_loaded@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol@@GLIBC
_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol@@GLIBC
_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol@@GLIBC
_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol_skip@@
GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol_skip@@
GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_symbol_skip@@
GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol@@GLIBC_2.0'

| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol_skip@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol_skip@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_lookup_versioned_sym
bol_skip@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_signal_error@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_signal_error@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libdl.so: undefined reference to
`_dl_signal_error@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__bzero@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__bzero@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_b@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_b@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_b@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_tolower@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_tolower@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_toupper@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__ctype_toupper@@GLIBC_
2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__environ@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__environ@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__lxstat@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__lxstat@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtod_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtod_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtol_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtol_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtol_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined referenceto
`__strtol_internal@@GLIB
C_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtoul_internal@@GLI
BC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__strtoul_internal@@GLI
BC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__xmknod@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__xmknod@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__xstat@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`__xstat@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`_exit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`_exit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`abort@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`abort@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`atexit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`atexit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`bind@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`bind@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`chown@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`chown@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endgrent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`chown@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endgrent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endgrent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endpwent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`endpwent@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`execvp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`execvp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`exit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`exit@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`fdopen@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`fdopen@@GLIBC_2.1'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`fprintf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`fprintf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getenv@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getenv@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getgrgid@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getgrgid@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getgrnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getgrnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyaddr@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyaddr@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyaddr@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyname@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gethostbyname@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getpwnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getpwnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getpwuid@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getpwuid@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getservbyname@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getservbyname@@GLIBC_2.
0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getsockname@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`getsockname@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gmtime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`gmtime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_addr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_addr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_ntoa@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_ntoa@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`inet_ntoa@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`listen@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`listen@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`localtime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`localtime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memcpy@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memcpy@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memset@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`memset@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`mkfifo@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`mkfifo@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`rename@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`rename@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`setsockopt@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`setsockopt@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sprintf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sprintf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sscanf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sscanf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`sscanf@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`stderr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`stderr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`stdout@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`stdout@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcmp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcmp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcpy@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcpy@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcspn@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strcspn@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strerror@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strerror@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strftime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strftime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strncmp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strncmp@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strpbrk@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strpbrk@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strrchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strrchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strrchr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strstr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`strstr@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`time@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`time@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`tmpnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`tmpnam@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`uname@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`uname@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`utime@@GLIBC_2.0'
| OIERR-SYS: /usr/lib/libtcl.so: undefined reference to
`utime@@GLIBC_2.0'

Comment 1 Cristian Gafton 1999-07-28 07:29:59 UTC
You need to install the tcl libs from 5.2 unser
/usr/i386-glibc20-linux/lib directory so that the comapt linker will
find them there.


Note You need to log in before you can comment on or make changes to this bug.